#include <iostream>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int l[n];
    int lp,ld;
    unsigned long long int sum=0;
    for(int i=0;i<n;i++)
    {
        cin>>l[i];
    }
    for(int p=0;p<n;p++)
    {
        for(int q=n;q>0;q--)
        {
            for(int r=p;r<q;r++)
            {
                sum=sum+l[r];
            }
        }
    }
    cout<<sum%(10*10*10*10*10*10*10+7);

    return 0;
}